fn main()
{
    // Initialize Donten engine
    let cfg = donten::Config::new();
    let _engine = if let Ok(engine) = donten::Donten::init(cfg) {
        engine
    } else {
        println!("fatal: failed to initialize engine.");
        return;
    };


}
